<script setup lang="ts">
import { useSpecificFeaturedProjects } from "~/queries/featuredProjects";

const { servicesId } = defineProps<{ servicesId: number }>();

const { data: projects, isPending } = useSpecificFeaturedProjects(
  servicesId.toString(),
);
</script>
<template>
  <StackedProductsCarouselMobile
    v-if="!isPending && projects"
    :projects="projects.projects"
  />
  <div
    v-else
    class="bg-muted-foreground/10 h-[400px] w-full animate-pulse rounded-xl"
  />
</template>
<style scoped></style>
